Page MenuHomePhabricator

Fix MobileFrontend scenarios that fail at en.wikipedia.beta.wmflabs.org or do not run them daily
Closed, ResolvedPublic

Description

All MobileFrontend browsertests Jenkins jobs are failing:

https://integration.wikimedia.org/ci/view/BrowserTests/view/MobileFrontend/

Do you need help fixing the failing jobs? If nobody cares, I will delete failing jobs in a week.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Ok, no jobs will be deleted. :) Feel fee to reach out to Release-Engineering-Team team if you need help. Also, I have proposed Workshop: Fix broken browsertests/Selenium Jenkins jobs (T94299) for this year's hackathons.

Tests fail for the following reasons

  • Problem with the main menu rules When I click on "Nearby" in the main navigation menu' and Then I should see a link to the disclaimer'
  • Table of contents heading incorrectly has section-heading class
  • Edit button/drawer behaviour has changed due to anonymous editing change.
  • VisualEditor removed the bold button "Then I should see a bold button" is no longer relevant.
  • Some issues with search and there browser tests which will be easy to fix in conjunction with - https://phabricator.wikimedia.org/T96619

Change 205447 had a related patch set uploaded (by Jdlrobson):
QA: Main menu is now a nav

https://gerrit.wikimedia.org/r/205447

Change 205448 had a related patch set uploaded (by Jdlrobson):
QA: Fix failing VisualEditor test due to toolbar changes

https://gerrit.wikimedia.org/r/205448

Change 205450 had a related patch set uploaded (by Jdlrobson):
Don't expose the toggling init function

https://gerrit.wikimedia.org/r/205450

Change 205451 had a related patch set uploaded (by Jdlrobson):
QA: Fix the browser tests to reflect anonymous editing on beta labs

https://gerrit.wikimedia.org/r/205451

Change 205447 merged by jenkins-bot:
QA: Main menu is now a nav

https://gerrit.wikimedia.org/r/205447

Change 205450 merged by jenkins-bot:
Don't expose the toggling init function

https://gerrit.wikimedia.org/r/205450

Change 205451 merged by jenkins-bot:
QA: Fix the browser tests to reflect anonymous editing on beta labs

https://gerrit.wikimedia.org/r/205451

Change 205448 merged by jenkins-bot:
QA: Remove failing VisualEditor test due to toolbar changes

https://gerrit.wikimedia.org/r/205448

phuedx closed this task as Resolved.Apr 22 2015, 8:54 AM
phuedx added a subscriber: phuedx.

All yer patches are merged @Jdlrobson.

hashar reopened this task as Open.Apr 22 2015, 12:54 PM

Reopening since the builds I triggered earlier have some failures. The trend shows a large improvement though!

#627 passed. We'll open more specific bugs from now on e.g. T97460

zeljkofilipin reopened this task as Open.Feb 10 2016, 3:43 PM

All MobileFrontend jobs are broken again. :/

https://integration.wikimedia.org/ci/view/BrowserTests/view/MobileFrontend/

Feel free to create subtasks.

phuedx removed Jdlrobson as the assignee of this task.Feb 10 2016, 6:19 PM
phuedx claimed this task.Feb 10 2016, 6:44 PM

Change 269751 had a related patch set uploaded (by Phuedx):
Make SchemaEdit#log always return jQuery.Promise

https://gerrit.wikimedia.org/r/269751

Change 269755 had a related patch set uploaded (by Alex Monk):
Make SchemaEdit#log always return jQuery.Promise

https://gerrit.wikimedia.org/r/269755

Change 269751 merged by jenkins-bot:
Make SchemaEdit#log always return jQuery.Promise

https://gerrit.wikimedia.org/r/269751

Change 269848 had a related patch set uploaded (by Jforrester):
Make SchemaEdit#log always return jQuery.Promise

https://gerrit.wikimedia.org/r/269848

Change 269848 merged by Alex Monk:
Make SchemaEdit#log always return jQuery.Promise

https://gerrit.wikimedia.org/r/269848

Change 269755 merged by Alex Monk:
Make SchemaEdit#log always return jQuery.Promise

https://gerrit.wikimedia.org/r/269755

The remaining tests are failing with "Net::ReadTimeout (Net::ReadTimeout)"
The watchlist feature is fine so these seem to be false positives. @zeljkofilipin your team is likely to be better equipped to get to the bottom of these problems.
https://integration.wikimedia.org/ci/view/BrowserTests/view/MobileFrontend/job/browsertests-MobileFrontend-en.m.wikipedia.beta.wmflabs.org-linux-chrome-sauce/955/

zeljkofilipin renamed this task from Fix failed MobileFrontend browsertests Jenkins jobs to Disable MobileFrontend scenarios that fail at en.wikipedia.beta.wmflabs.org from running daily.Feb 22 2016, 3:39 PM
zeljkofilipin claimed this task.

@Jdlrobson: the only way we can make test maintenance sustainable is to teach you how to fix them. If anybody from your team wants to pair on fixing the tests, my calendar is always up to date. I do not want to volunteer @dduvall, but he also knows how to fix tests. You will have to check with him if he is available.

zeljkofilipin renamed this task from Disable MobileFrontend scenarios that fail at en.wikipedia.beta.wmflabs.org from running daily to Fix MobileFrontend scenarios that fail at en.wikipedia.beta.wmflabs.org or do not run them daily.Feb 25 2016, 3:15 PM

Change 274357 had a related patch set uploaded (by Zfilipin):
Disable scenarios that fail at en.wikipedia.beta.wmflabs.org from running daily

https://gerrit.wikimedia.org/r/274357

zeljkofilipin removed zeljkofilipin as the assignee of this task.Mar 10 2016, 2:10 PM

Change 277821 had a related patch set uploaded (by Jdlrobson):
Specify Special:EditWatchlist in watchlist switching tests

https://gerrit.wikimedia.org/r/277821

The thing that is strange is Sauce Labs seems to be navigating to Special:Watchlist via the hamburger menu. Is there a rule in one of the libraries that could be being used instead of the one in MobileFrontend?

I am on the "Special:Watchlist" page
seems to be invoking the
I click on "Watchlist" in the main navigation menu
step but it shouldn't be.

Change 277821 merged by jenkins-bot:
Specify Special:EditWatchlist in watchlist switching tests

https://gerrit.wikimedia.org/r/277821

Change 274357 merged by jenkins-bot:
Disable scenarios that fail at en.wikipedia.beta.wmflabs.org from running daily

https://gerrit.wikimedia.org/r/274357

Jdlrobson closed this task as Resolved.Apr 1 2016, 7:35 AM
Jdlrobson claimed this task.

They are more or less passing now except a few occasions of flakey failures in the Firefox build.